import argparse
import os
import shutil
import sys
import time

def parse_args():
    '''Shell argument parser.'''
    parser = argparse.ArgumentParser()
    parser.add_argument('infolder', help='Specify the in folder.')
    parser.add_argument('outfolder', help='Specify the out folder.')
    return parser.parse_args()


def main():
    '''Entry point'''
    args = parse_args()
    run_condition = True
    while run_condition:
        files = os.listdir(args.infolder)
        for file in files:
            shutil.move(os.path.join(args.infolder, file), os.path.join(args.outfolder, file))
        time.sleep(10)
    return 0


if __name__ == '__main__':
    sys.exit(main())
